import 'package:doctor_app_flutter/models/SOAP/master_key_model.dart';

class MySelectedExamination {
 MasterKeyModel selectedExamination;
  String remark;
  bool isNormal;
  bool isAbnormal;

  MySelectedExamination(
      {this.selectedExamination, this.remark, this.isNormal = true, this.isAbnormal = false});

  MySelectedExamination.fromJson(Map<String, dynamic> json) {

    selectedExamination = json['selectedExamination'] != null
        ? new MasterKeyModel.fromJson(json['selectedExamination'])
        : null;
    remark = json['remark'];
    remark = json['isNormal'];
    remark = json['isAbnormal'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    if (this.selectedExamination != null) {
      data['selectedExamination'] = this.selectedExamination.toJson();
    }
    data['remark'] = this.remark;
    data['isNormal'] = this.isNormal;
    data['isAbnormal'] = this.isAbnormal;
    return data;
  }
}
